<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Reports">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>FISMA Compliance Report</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#16-reports/fisma-report.html">Open topic with navigation</a>
        </p>
        <h1>FISMA Compliance Report</h1>
        <p>The Federal Information Security Management Act (FISMA)  provides a comprehensive framework that helps federal agencies implement  processes and system controls that protect the security of data and information systems. FISMA is based on a set of standards and recommendations from technology agencies like the National Institute of Standards and Technology (NIST). NIST develops standards and guidelines, like the Special Publication 800-53 revision 4 (SP800-53r4), that federal agencies can use to build their FISMA compliance programs. The guide developed by NIST defines the minimum requirements for managing, operating, controlling, and operating information systems. </p>
        <p>The FISMA Compliance Report attempts to help you assess where an organization stands in terms of compliance with specific FISMA&#160;requirements. <span class="VariablesProductName">Metasploit Pro</span> reports findings for select requirements from the following families and security controls:</p>
        <ul>
            <li value="1"><b>Access Control</b> - AC7</li>
            <li value="2"><b>Awareness and Training</b> - AT-2</li>
            <li value="3"><b>Configuration Management</b> - CM-7</li>
            <li value="4"><b>Identification and Authentication</b> - IA-2, IA-5, and IA-7</li>
            <li value="5"><b>Risk Assessment</b>  - RA-5</li>
            <li value="6"><b>System and Information Integrity</b>  - SI-2 and SI-10</li>
        </ul>
        <p>The report presents compliance results by indicating a pass or fail status for each FISMA requirement. The findings should be used as an appendix for FISMA requirements testing and not as an actual audit. For more information on each of these requirements, visit the National Vulnerability Database: <a href="http://web.nvd.nist.gov/view/800-53/Rev4">http://web.nvd.nist.gov/view/800-53/Rev4</a>. </p>
        <p>To help you navigate through the data to find key information, the report is organized into the following sections: </p>
        <ul>
            <li value="1"><a href="#Executiv">Executive Summary</a>
            </li>
            <li value="2"><a href="#Detailed">Detailed Findings </a>
            </li>
        </ul>
        <h2><a name="Executiv"></a>Executive Summary</h2>
        <p>The Executive Summary lists the pass or fail status for each FISMA&#160;requirement that <span class="VariablesProductName">Metasploit Pro</span> tests. </p>
        <h2><a name="Detailed"></a>Detailed Findings</h2>
        <p>The Detailed Findings section provides the technical details for each FISMA requirement that <span class="VariablesProductName">Metasploit Pro</span> reports on. The FISMA&#160;Compliance report will list each host that did not meet the criteria defined for each requirement.  </p>
        <h3>FISMA&#160;Requirement AC-7</h3>
        <p>FISMA&#160;Requirement AC-7 mandates an enforced limit on the number of invalid login attempts made by a user.  This requirement dictates that this rate be set by each organization based on their security policy. However, for the purposes of this report, a host will fail this requirement if it has more than 3 failed logins within 60 seconds for a particular public. This rate is considered a reasonable default.</p>
        <p> For each host that failed this requirement, this section reports the following information:</p>
        <ul>
            <li value="1">The IP&#160;address and name of the host on which the login attempts were made</li>
            <li value="2">The operating system running on the host</li>
            <li value="3">The public value, private type, private value, origin type, and origin detail for each credential that  resulted in more than 3 failed logins within 60 seconds of each other</li>
        </ul>
        <h3>FISMA Requirement AT-2</h3>
        <p>FISMA Requirement AT-2 mandates that security awareness training is provided to system users. The contents of the training program should be developed by the organization based on its needs and requirements. A host will fail this requirement if it has a vulnerability that was successfully exploited. </p>
        <p> For each host that failed this requirement, this section reports the following information:</p>
        <ul>
            <li value="1">The IP&#160;address and name of the host</li>
            <li value="2">The operating system running on the host</li>
            <li value="3">The vulnerability that was discovered, the module that was used to exploit the vulnerability, and the timestamp for when the exploit occurred</li>
        </ul>
        <h3>FISMA Requirement CM-7</h3>
        <p>FISMA Requirement CM-7 mandates that each host should have one primary function. A host will fail this requirement if it is running more than one major service, such as HTTP, HTTPS, DNS, FTP, MySQL, Postgres, DB2, and MSSQL. However, an exception to this requirement occurs when a host is running both HTTP and HTTPS. Since both services are often exposed together to support an application, they are allowed to run on the same host. </p>
        <p> For each host that failed this requirement, this section reports the following information:</p>
        <ul>
            <li value="1">The IP&#160;address and name of the host</li>
            <li value="2">The operating system running on the host</li>
            <li value="3">The major services running on the host</li>
        </ul>
        <h3>FISMA Requirement IA-2</h3>
        <p>FISMA Requirement IA-2 mandates that the host uniquely identifies and authenticates users. A host will fail this requirement it allowed a valid login using a common username, such as user, root, administrator, admin, tomcat, cisco, manager, sa, postgres, or guest. A host will also fail this requirement if a blank password was used to successfully authenticate to a service. </p>
        <p> For each host that failed this requirement, this section reports the following information:</p>
        <ul>
            <li value="1">The IP&#160;address and name of the host on which the login was made</li>
            <li value="2">The operating system running on the host</li>
            <li value="3">The public value, private type, private value, origin type, and origin detail for the credentials used</li>
        </ul>
        <h3>FISMA Requirement IA-5</h3>
        <p>FISMA Requirement IA-5 mandates that system authenticators, such as passwords and tokens, are properly created, distributed, and managed. This requirement ensures that authenticators are not shipped with default authentication credentials and enforce minimum password requirements. A host will fail this requirement if it allowed a valid login using a common username, such as user, root, administrator, admin, tomcat, cisco, manager, sa, postgres, or guest. A host will also fail this requirement if a blank password was used to successfully authenticate to a service. </p>
        <p> For each host that failed this requirement, this section reports the following information:</p>
        <ul>
            <li value="1">The IP&#160;address and name of the host on which the login was made</li>
            <li value="2">The operating system running on the host</li>
            <li value="3">The public value, private type, private value, origin type, and origin detail for the credentials used</li>
        </ul>
        <h3>FISMA Requirement IA-7</h3>
        <p>FISMA Requirement IA-7 mandates that mechanisms for authentication use acceptable cryptographic methods. A host will fail this requirement if it has any of the following services open: telnet, shell, rexec, rlogin, or &#160;POP3. A host will also fail this requirement if it is a Cisco device that has an open HTTP&#160;service.</p>
        <p> For each host that failed this requirement, this section reports the following information:</p>
        <ul>
            <li value="1">The IP&#160;address and name of the host</li>
            <li value="2">The operating system running on the host</li>
            <li value="3">The major services running on the host</li>
        </ul>
        <h3>FISMA Requirement RA-5</h3>
        <p>FISMA Requirement RA-5 mandates that vulnerability scans are performed regularly. A host will fail this requirement if it has a vulnerability that was successfully exploited. </p>
        <p>For each host that failed this requirement, this section reports the following information:</p>
        <ul>
            <li value="1">The IP&#160;address and name of the host</li>
            <li value="2">The operating system running on the host</li>
            <li value="3">The vulnerability that was discovered, the module that was used to exploit the vulnerability, and the timestamp for when the exploit occurred</li>
        </ul>
        <h3>FISMA Requirement SI-2</h3>
        <p>FISMA Requirement SI-2 mandates that all systems that have security flaws must be reported. All known vulnerabilities must have the latest vendor security patches applied.  A host will fail this requirement if it has a vulnerability that was successfully exploited. </p>
        <p>For each host that failed this requirement, this section reports the following information:</p>
        <ul>
            <li value="1">The IP&#160;address and name of the host</li>
            <li value="2">The operating system running on the host</li>
            <li value="3">The vulnerability that was discovered, the module that was used to exploit the vulnerability, and the timestamp for when the exploit occurred</li>
        </ul>
        <h3>FISMA Requirement SI-10</h3>
        <p>FISMA Requirement SI-10 mandates that the syntax and semantics of information system inputs match the specified definitions for format and content.  A host will fail this requirement if it has a vulnerability that was successfully exploited. </p>
        <p>For each host that failed this requirement, this section reports the following information:</p>
        <ul>
            <li value="1">The IP&#160;address and name of the host</li>
            <li value="2">The operating system running on the host</li>
            <li value="3">The vulnerability that was discovered, the module that was used to exploit the vulnerability, and the timestamp for when the exploit occurred</li>
        </ul>
        <h2>FISMA Compliance Report Options </h2>
        <table style="width: 100%;border-spacing: 0px 0px;border-left-style: none;border-left-width: 0px;border-left-color: #a9a9a9;border-right-style: none;border-right-width: 0px;border-right-color: #a9a9a9;border-top-style: none;border-top-width: 0px;border-top-color: #a9a9a9;border-bottom-style: none;border-bottom-width: 0px;border-bottom-color: #a9a9a9;margin-left: auto;margin-right: auto;">
            <col style="width: 200px;" />
            <col style="width: 400px;" />
            <thead>
                <tr>
                    <th class="default">Report Settings</th>
                    <th class="default">Options</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        <p class="tableBody">Output formats</p>
                    </td>
                    <td>
                        <p class="tableBody">PDF, HTML, WORD, RTF</p>
                    </td>
                </tr>
                <tr>
                    <td>
                        <p class="tableBody">Report options </p>
                    </td>
                    <td>
                        <p class="tableBody"><b>Mask discovered credentials</b> - Masks all credentials, including plain text passwords, hashes, and SSH keys, from the report. The FISMA Compliance Report will replace the password with <code>*BLANK*</code>.</p>
                    </td>
                </tr>
                <tr>
                    <td>
                        <p class="tableBody">Report sections</p>
                    </td>
                    <td>
                        <p class="tableBody">Executive Summary</p>
                        <p class="tableBody">Detailed Findings</p>
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>